Bug 10884 - man(1) can't format page with ".so man1/xxxx" request in it
Summary: man(1) can't format page with ".so man1/xxxx" request in it
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-18 00:05 UTC by David Lawrence
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-25 19:05:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2000-04-18 00:05:06 UTC
The output page /var/catman/cat1/zshall.1.gz, which is documentation for
the zsh shell, doesn't include all the other zsh* manpages as it should.
The ".so" requests are (in effect) ignored.  Here's what happens when I
format the page:

linus% man -c zshall
Formatting page, please wait...
<standard input>:23: realpath on `man1/zshmisc.1' failed: No such file or
directory
<standard input>:24: realpath on `man1/zshexpn.1' failed: No such file or
directory
<standard input>:25: realpath on `man1/zshbuiltins.1' failed: No such file
or directory
<standard input>:26: realpath on `man1/zshcompctl.1' failed: No such file
or directory
<standard input>:27: realpath on `man1/zshparam.1' failed: No such file or
directory
<standard input>:28: realpath on `man1/zshzle.1' failed: No such file or
directory
<standard input>:29: realpath on `man1/zshoptions.1' failed: No such file
or directory

The ".so man1/xxx" lines have been a standard feature of manual pages for
at least 20 years; they're designed to be read from the parent directory
(in this case, /usr/man).  It looks to me like the man(1) command isn't
formatting from the correct directory?

I think that the zsh manpages had the same problem under Red Hat 6.1.  And
I'd guess that any other manpages using ".so" may have the same problem.

Comment 1 bgunter 2000-05-25 17:09:59 UTC
Just for the record, I (bgunter@cpons.com) didn't report this bug.  Somehow it
was attributed to me when I reported a completely different bug.

Comment 2 Trond Eivind Glomsrxd 2000-06-02 14:26:24 UTC
I believe this was fixed for 6.2 - the problem being including compressed files.


Note You need to log in before you can comment on or make changes to this bug.